> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contextual.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Parse List Jobs

> Get list of parse jobs, sorted from most recent to oldest.

Returns all jobs from the last 30 days, or since the optional `uploaded_after` timestamp.



## OpenAPI

````yaml api-reference/openapi.json get /parse/jobs
openapi: 3.1.0
info:
  title: Endpoints
  version: '1.0'
servers:
  - url: https://api.contextual.ai/v1
security:
  - BearerAuth: []
paths:
  /parse/jobs:
    get:
      tags:
        - /parse
      summary: Parse List Jobs
      description: >-
        Get list of parse jobs, sorted from most recent to oldest.


        Returns all jobs from the last 30 days, or since the optional
        `uploaded_after` timestamp.
      operationId: parse_list_jobs_parse_jobs_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            description: Maximum number of parse jobs to return
            default: 1000
            title: Limit
          description: Maximum number of parse jobs to return
        - name: cursor
          in: query
          required: false
          schema:
            type: string
            description: >-
              Cursor from the previous call to list parse jobs, used to retrieve
              the next set of results
            title: Cursor
          description: >-
            Cursor from the previous call to list parse jobs, used to retrieve
            the next set of results
        - name: uploaded_after
          in: query
          required: false
          schema:
            type: string
            format: date-time
            description: >-
              Filters to only documents uploaded to `/parse` at or after
              specified UTC timestamp. If not provided, or if the provided
              timestamp is before the maximum parse job retention period (30
              days), the maximum retention period will be used instead.
            examples:
              - '2026-05-10T00:00:00'
            title: Uploaded After
          description: >-
            Filters to only documents uploaded to `/parse` at or after specified
            UTC timestamp. If not provided, or if the provided timestamp is
            before the maximum parse job retention period (30 days), the maximum
            retention period will be used instead.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ParseListJobsResponseV1'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ParseListJobsResponseV1:
      properties:
        total_jobs:
          type: integer
          title: Total Jobs
          description: Total number of parse jobs
          examples:
            - 10
        next_cursor:
          type: string
          title: Next Cursor
          description: >-
            Next cursor to continue pagination.             Omitted if there are
            no more parse jobs after these ones.
        jobs:
          items:
            $ref: '#/components/schemas/ParseListJobsItem'
          type: array
          title: Jobs
          description: List of parse jobs
      type: object
      required:
        - total_jobs
        - jobs
      title: ParseListJobsResponseV1
      description: /parse list jobs object.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ParseListJobsItem:
      properties:
        id:
          type: string
          format: uuid
          title: Job ID
          description: Unique ID of the parse job
        status:
          $ref: '#/components/schemas/DocumentStatusEnum'
          title: Job Status
          description: The current status of the parse job
          examples:
            - completed
        file_name:
          type: string
          title: File Name
          description: The name of the file that was uploaded for parsing
      type: object
      required:
        - id
        - status
        - file_name
      title: ParseListJobsItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    DocumentStatusEnum:
      type: string
      enum:
        - pending
        - processing
        - retrying
        - completed
        - failed
        - cancelled
      title: DocumentStatusEnum
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````